package com.saye.hrs.service;


import java.util.HashMap;
import java.util.List;
/**
 * 预约挂号记录(Order)表服务接口
 *
 * @author makejava
 * @since 2021-09-16 16:26:19
 */
public interface OrderService {

    HashMap<Object, Object> findOrderById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findOrderList(HashMap<Object,Object> map);

    void insertOrder(HashMap<Object,Object> map);

    void updateOrder(HashMap<Object,Object> map);

    void deleteOrderById(HashMap<Object,Object> map);

	void cancelOrder(HashMap<Object, Object> map);

	HashMap<Object, Object> findHomeData();

	void setWXLoginTime(HashMap<Object, Object> map);

	void generateOrderNotice();

	List<HashMap<Object,Object>> findRechargeWait();

	void addRefund(HashMap<Object, Object> map);

	void addRefundMessageNotice(HashMap<Object, Object> map);

	HashMap<Object, Object> findOrderNotice();

	void updateOrderNotice(HashMap<Object, Object> map);

	List<HashMap<Object,Object>> findDistinctOrderOffice();
}
